ClarisWksStruct::DSET::Child Struct Reference documentation

ClarisWksStruct::DSET::Child Struct Reference

structure used to define the child of a DSET structure More...

`#include <ClarisWksStruct.hxx>`

## Public Member Functions
| Child ()
| constructor
MWAWBox2f | getBdBox () const
| return the zone bdbox

## Public Attributes
ChildType | m_type
| the type
int | m_id
| the identificator
long | m_posC
| a position (used in text zone to store the character )
int | m_page
| the page if known
MWAWBox2f | m_box
| the bdbox

## Friends
std::ostream & | operator<< (std::ostream &o, Child const &ch)
| operator<<

## Detailed Description

structure used to define the child of a DSET structure

## Constructor & Destructor Documentation

## ◆ Child()

ClarisWksStruct::DSET::Child::Child | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ getBdBox()

MWAWBox2f ClarisWksStruct::DSET::Child::getBdBox | ( |  | ) | const
| inline

return the zone bdbox

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Child const & | ch )
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2f ClarisWksStruct::DSET::Child::m_box

the bdbox

Referenced by Child(), getBdBox(), ClarisDrawGraphInternal::Zone::getChild(), ClarisDrawGraphInternal::ZonePict::getChild(), ClarisDrawGraphInternal::ZoneShape::getChild(), ClarisDrawGraphInternal::ZoneUnknown::getChild(), ClarisDrawGraphInternal::ZoneZone::getChild(), ClarisWksGraphInternal::Chart::getChild(), ClarisWksGraphInternal::Zone::getChild(), ClarisWksGraphInternal::ZonePict::getChild(), ClarisWksGraphInternal::ZoneShape::getChild(), ClarisWksGraphInternal::ZoneUnknown::getChild(), ClarisWksGraphInternal::ZoneZone::getChild(), operator<<, ClarisDrawText::readDSETZone(), and ClarisWksText::readDSETZone().

## ◆ m_id

int ClarisWksStruct::DSET::Child::m_id

the identificator

Referenced by Child(), ClarisDrawGraphInternal::ZoneZone::getChild(), ClarisWksGraphInternal::ZoneZone::getChild(), and operator<<.

## ◆ m_page

int ClarisWksStruct::DSET::Child::m_page

the page if known

Referenced by Child(), and operator<<.

## ◆ m_posC

long ClarisWksStruct::DSET::Child::m_posC

a position (used in text zone to store the character )

Referenced by Child(), operator<<, ClarisDrawText::readDSETZone(), and ClarisWksText::readDSETZone().

## ◆ m_type

ChildType ClarisWksStruct::DSET::Child::m_type

the type

Referenced by Child(), ClarisDrawGraphInternal::ZonePict::getChild(), ClarisDrawGraphInternal::ZoneShape::getChild(), ClarisDrawGraphInternal::ZoneUnknown::getChild(), ClarisDrawGraphInternal::ZoneZone::getChild(), ClarisWksGraphInternal::Chart::getChild(), ClarisWksGraphInternal::ZonePict::getChild(), ClarisWksGraphInternal::ZoneShape::getChild(), ClarisWksGraphInternal::ZoneUnknown::getChild(), ClarisWksGraphInternal::ZoneZone::getChild(), operator<<, ClarisDrawText::readDSETZone(), and ClarisWksText::readDSETZone().

The documentation for this struct was generated from the following file:

- ClarisWksStruct.hxx